from pathlib import Path

work_dir = Path('/path/to/some/logical/parent/dir')

"""
Координаты сентрального кадра, к которому будут
приводиться изображения всех списков событий
"""
ra_cen=34.5342131
de_cen=-4.7956710


"""
Словарь камер со списком наблюдений каждой камеры.
Номера камер должны быть отсортированы
"""
keylist_tm={'1':['tm1_obs_1',],
            '5':['tm5_obs_1','tm5_obs_2',],
            '6':['tm6_obs_1','tm6_obs_2_badpix','tm6_obs_3_badpix',
                 'tm6_park_1','tm6_park_2','tm6_park_3','tm6_park_4',
                 'tm6_scan_1','tm6_scan_2','tm6_scan_3','tm6_scan_4'],
            '7':['tm7_obs_1','tm7_obs_2',]}

"""
Примерные центры изображений каждого наблюдения.
Требуется для астрокоррекции. Будет расчитываться матрица сдвигов и поворотов,
так вот, повороты будут проводиться вокруг данных координат.
"""
wcslist={'tm1_obs_1':[34.7279760,-5.0680267],
         'tm5_obs_1':[34.7351248,-4.4407314],
         'tm5_obs_2':[34.8748997,-4.4871658],
         'tm7_obs_1':[35.0015120,-4.7602124],
         'tm7_obs_2':[34.9810029,-4.5915912],
         'tm6_obs_1':[34.4227062,-4.7207170],
         'tm6_obs_2_badpix':[34.7272339,-4.4294153],
         'tm6_obs_3_badpix':[34.8750291,-4.4708468],
         'tm6_park_1':[35.0544951,-4.0613619],
         'tm6_park_2':[35.0558675,-4.0683084],
         'tm6_park_3':[35.0565263,-4.0583538],
         'tm6_park_4':[35.0602986,-4.0622220],
         'tm6_scan_1':[34.5405596,-4.8088748],
         'tm6_scan_2':[34.5405596,-4.8088748],
         'tm6_scan_3':[34.5405596,-4.8088748],
         'tm6_scan_4':[34.5405596,-4.8088748]}

""" Диапазоны энергий. """
emin_ev=[300, 300, 600, 2300, 200]
emax_ev=[2300, 600, 2300, 5000,10000]
emin_kev=[0.3, 0.3, 0.6, 2.3, 0.2]
emax_kev=[2.3, 0.6, 2.3, 5.0, 10.0]
ecf=[1.0, 1.0, 1.0, 1.0, 1.0]

""" Это просто индекс диапазона для выходных файлов. """
eband=["0", "1", "2", "3", "4"]
